@echo off

rem (C) IBM Corporation 2009-2012
rem
rem  SCCSID: @(#) com.ibm.mq.explorer.ms0p.mqidecode/src/mqidecode.bat, supportpacs, MS0P  1.5 12/03/05 12:39:44
rem

rem Set the MQ variable to point at a WebSphere MQ installation directory. Pick one of 
rem these depending on whether your system is 32 or 64-bit. I will use the version for
rem 64-bit Windows systems here. You may, of course, have very different directories.
rem set mq="c:\program files\ibm\websphere mq"
set mq="c:\program files (x86)\ibm\websphere mq"

rem Then we need to set up the classpath to include the WebSphere MQ jar files.
rem These must be from a V7.1 or later installation of MQ.
set c=%mq%\java\lib\com.ibm.mq.headers.jar
set c=%c%;%mq%\java\lib\com.ibm.mq.jmqi.jar
set c=%c%;%mq%\java\lib\com.ibm.mq.jar

rem And add the jar file we want to execute
set c=%c%;.\mqidecode.jar

rem Set a path to a JRE that's at least Java 6 level - the one
rem shipped with MQ V7.1 is Java 6 so that meets this requirement.
set jp=%mq%\java\jre\bin

rem
rem Note: If you want to use more than 9 parameters then you'll have to either
rem code them here or use a better shell.
rem 

%jp%\java  -cp %c% MQIDecode  %1 %2 %3 %4 %5 %6 %7 %8 %9