#!/bin/ksh

# (C) IBM Corporation 2009-2011
#
#  SCCSID: @(#) com.ibm.mq.explorer.ms0p.mqidecode/src/mqidecode.ksh, supportpacs, MS0P  1.3 11/10/24 19:43:02
#

# This sets default paths, but with MQ V7.1 these
# paths might be wrong as you can select your own paths.
# Change these as necessary.
os=`uname -a | cut -f1 -d" "`
if [ "$os" = "AIX" ]
then
  prefix="/usr"
else
  prefix="/opt"  
fi

# The classpath must point to V7.1 (or later) jar files to match 
# the compiled version of this program
mq="$prefix/mqm/java/lib"
CLASSPATH=$CLASSPATH:$mq/com.ibm.mq.headers.jar
CLASSPATH=$CLASSPATH:$mq/com.ibm.mq.jmqi.jar
CLASSPATH=$CLASSPATH:$mq/com.ibm.mq.jar
export CLASSPATH

# Set a path to a Java 5 JRE - this should be where MQ has shipped one
jrepath="$prefix/mqm/java/jre/bin"
$jrepath/java -jar mqidecode.jar $*
