@echo off

rem (C) IBM Corporation 2012
rem SCCS ID: @(#) com.ibm.mq.explorer.ms0p.pubqstat/src/pubqstat.cmd, supportpacs, MS0P  1.1 12/06/29 15:05:03

rem Set the MQ variable to point at a WebSphere MQ installation directory. Pick one of 
rem these depending on whether your system is 32 or 64-bit. I will use the version for
rem 64-bit Windows systems here. You may, of course, have very different directories.
rem set mq="c:\program files\ibm\websphere mq"
set mq="c:\program files (x86)\ibm\websphere mq"
set mq="c:\program files (x86)\ibm\websphere mq_v71_inst1"

rem Then we need to set up the classpath to include the WebSphere MQ jar files.
rem These must be from a V7.1 or later installation of MQ.
set c=%mq%\java\lib\com.ibm.mq.headers.jar
set c=%c%;%mq%\java\lib\com.ibm.mq.jmqi.jar
set c=%c%;%mq%\java\lib\com.ibm.mq.jar
set c=%c%;%mq%\java\lib\com.ibm.mq.pcf.jar

rem And add the jar file we want to execute.
rem The DIR variable grabs the path this command is being executed from
set DIR=%~dp0
set c=%c%;"%DIR%\"pubqstat.jar

rem Set a path to a JRE that's at least Java 6 level - the one
rem shipped with MQ V7.1 is Java 6 so that meets this requirement.
set jp=%mq%\java\jre\bin

set PATH=%mq%\bin;%mq%\java\lib;%jp%;%PATH%

rem
rem Note: If you want to use more than 9 parameters then you'll have to either
rem code them here or use a better shell.
rem 

rem Assume the invoking script has QMgr name as the 1st parameter (2nd token, after a -m)
call setmqenv -m %2 -x 32
%jp%\java -cp %c% PubQStat  %1 %2 %3 %4 %5 %6 %7 %8 %9